net.sf.cglib.beans

## Class BulkBeanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.cglib.beans.BulkBeanException

- All Implemented Interfaces:
    java.io.Serializable

      public class BulkBeanException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkBeanException(java.lang.String message, int index)`
    `BulkBeanException(java.lang.Throwable cause, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()`
    `int` | `getIndex()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkBeanException

          public BulkBeanException(java.lang.String message,
                           int index)

    - #### BulkBeanException

          public BulkBeanException(java.lang.Throwable cause,
                           int index)

  - ### Method Detail

    - #### getIndex

          public int getIndex()

    - #### getCause

          public java.lang.Throwable getCause()

      Overrides:
        `getCause` in class `java.lang.Throwable`

Copyright (c) 2001 - Apache Software Foundation